# http://bbs.cooldavid.org/git/?p=jme.git;a=snapshot;h=refs/heads/backport;sf=tbz2
# jme-backport-d3d9c41.tar.bz2

# Define the kmod package name here.
%define kmod_name jme

# Define the driver source tag here.
%define dstag d3d9c41

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %define kversion 2.6.32-71.el6.%{_target_cpu}}

Name:    %{kmod_name}-kmod
Version: 1.0.8.9
Release: 2.%{dstag}%{?dist}
Group:   System Environment/Kernel
License: GPLv2
Summary: %{kmod_name} kernel module(s)
URL:     http://www.jmicron.com.tw/

BuildRequires: redhat-rpm-config
ExclusiveArch: i686 x86_64

# Sources.
#Source0:  ftp://driver.jmicron.com.tw/Ethernet/Linux/%{kmod_name}bp-%{version}.tar.bz2
Source0:  %{kmod_name}-backport-%{dstag}.tar.bz2
Source5:  GPL-v2.0.txt
Source10: kmodtool-%{kmod_name}-el6.sh

# Magic hidden here.
%{expand:%(sh %{SOURCE10} rpmtemplate %{kmod_name} %{kversion} "")}

# Disable the building of the debug package(s).
# define debug_package %{nil}

%description
This package provides the %{kmod_name} kernel modules for
the JMicron(R) JMC250/JMC260 PCI-E Ethernet Adapter.
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the Linux kernel and not on any one specific build.

%prep
# setup -q -n %{kmod_name}bp-%{version}
%setup -q -n %{kmod_name}-backport-%{dstag}
echo "override %{kmod_name} * weak-updates/%{kmod_name}" > kmod-%{kmod_name}.conf

%build
KSRC=%{_usrsrc}/kernels/%{kversion}
%{__make} -C "${KSRC}" %{?_smp_mflags} modules M=$PWD

%install
export INSTALL_MOD_PATH=%{buildroot}
export INSTALL_MOD_DIR=extra/%{kmod_name}
KSRC=%{_usrsrc}/kernels/%{kversion}
%{__make} -C "${KSRC}" modules_install M=$PWD
%{__install} -d %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} kmod-%{kmod_name}.conf %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} -d %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} %{SOURCE5} %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
%{__install} CHANGELOG %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
# Set the module(s) to be executable, so that they will be stripped when packaged.
find %{buildroot} -type f -name \*.ko -exec %{__chmod} u+x \{\} \;
# Remove the unrequired files.
%{__rm} -f %{buildroot}/lib/modules/%{kversion}/modules.*

%clean
%{__rm} -rf %{buildroot}

%changelog
* Fri Apr 27 2012 Alan Bartlett <ajb@elrepo.org> 1.0.8.9-2.d3d9c41
- Build standard and debug packages.

* Thu Apr 26 2012 Alan Bartlett <ajb@elrepo.org> 1.0.8.9-1.d3d9c41
- Updated source tarball. Tag d3d9c41 [Guo-Fu Tseng <cooldavid@cooldavid.org>]
- http://elrepo.org/bugs/view.php?id=258

* Wed Mar 14 2012 Alan Bartlett <ajb@elrepo.org> 1.0.8.5-1
- Initial el6 build of the kmod package.
